Subject: Re: KDE window manager compliance

From: Dominik Vogt <[email-masked]>
Date: Tue, 27 Apr 1999 18:38:44 +0200

And here's the KDE compliance document:

----- Forwarded message from [email-masked] -----

On Tue, 27 Apr 1999, Matthias Ettrich wrote:

> On Tue, 27 Apr 1999, you wrote:
> Roberto, didn't you someday write some documentation regarding window manager
> complicance? Can you please send this to Dominik?

I didn't really like what I wrote, and didn't find a way to make it
better, so it never advanced that much, but here it is anyway.

> Regarding the hints: All window manager communication in KDE is handled in a
> single class, called KWM. This class is in libkdecore/kwm.[h,cpp].
> 
> There's heaps of documentation in the kwm.h file, describing what the hints are
> supposed to do. Please have also a look at the kwm.cpp file that contains very
> straightforward code how the properties are applied.

If I may add something: for the desktop switching code, looking at the
source of kpanel helps a lot.

> While I really appreciate fvwm becoming KDE-aware, I have to warn you a little
> bit: I'm currently working with other window manager and/or desktop "vendors"
> on a new standard for all these things (together with people from gnome and
> other projects). 
> 
> That means: for KDE-2.0 we plan to implement a new, common,  better, cleaner
> and more documentated window manager protocol which is supposed portable among
> the different desktops.

 ("\''/").__..-''"`-. .         Roberto Alsina
 `9_ 9  )   `-. (    ).`-._.`)  [email-masked]
 (_Y_.)' ._   ) `._`.  " -.-'   Centro de Telematica
  _..`-'_..-_/ /-'_.'           Universidad Nacional del Litoral
(l)-'' ((i).' ((!.'             Santa Fe - Argentina
                                KDE Developer (MFCH)
Life isn't short. It's just that death is longer.

----- End forwarded message -----

Bye

Dominik ^_^

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]